GuideLab API

Bulk update tasks

Activate, deactivate, set the default assignee, or delete several tasks at once. Only affects tasks owned by the current lab.

POST
/production/tasks/bulk

Activate, deactivate, set the default assignee, or delete several tasks at once. Only affects tasks owned by the current lab.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/production/tasks/bulk" \  -H "Content-Type: application/json" \  -d '{    "action": "activate",    "taskIds": [      "string"    ]  }'
{  "affected": 0}
{  "error": "string"}